ACParser Class Reference

the main class to read a Acta file More...

`#include <ACParser.hxx>`

Inheritance diagram for ACParser:

## Public Member Functions

| ACParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~ACParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (WPXDocumentInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
void | setVersion (int vers)
| sets the works version More...

## Protected Member Functions

void | init ()
| inits all internal variables More...
void | createDocument (WPXDocumentInterface *documentInterface)
| creates the listener which will be associated to the document More...
Vec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
shared_ptr< MWAWList > | getMainList ()
| returns a list to be used in the text More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | readEndDataV3 ()
| read the end file data zones More...
void | sendHeaderFooter ()
| sends the header/footer data More...
bool | readPrintInfo (MWAWEntry const &entry)
| read a PrintInfo block ( PSET resource block ) More...
bool | readWindowPos (MWAWEntry const &entry)
| read the window position ( WSIZ resource block ) More...
bool | readLabel (MWAWEntry const &entry)
| read the label type More...
bool | readHFProperties (MWAWEntry const &entry)
| read the Header/Footer property (QHDR block) More...
bool | readOption (MWAWEntry const &entry)
| read the QOPT resource block (small print change ) More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWContentListenerPtr & | getListener ()
| returns the listener More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
void | setListener (MWAWContentListenerPtr &listener)
| sets the listener More...
void | resetListener ()
| resets the listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes

shared_ptr < ACParserInternal::State > | m_state
| the state More...
shared_ptr< ACText > | m_textParser
| the text parser More...

## Friends

class | ACParserInternal::SubDocument
class | ACText

## Detailed Description

the main class to read a Acta file

## Constructor & Destructor Documentation

ACParser::ACParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

ACParser::~ACParser | ( |  | ) |

virtual

destructor

## Member Function Documentation

bool ACParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |

virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void ACParser::createDocument | ( | WPXDocumentInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by parse().

bool ACParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by parse().

shared_ptr< MWAWList > ACParser::getMainList | ( |  | ) |

protected

returns a list to be used in the text

Referenced by ACText::sendMainText().

Vec2f ACParser::getPageLeftTop | ( |  | ) | const

protected

returns the page left top point ( in inches)

void ACParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by ACParser().

void ACParser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by ACText::sendTopic().

void ACParser::parse | ( | WPXDocumentInterface * | documentInterface | ) |

virtual

virtual function used to parse the input

Implements MWAWParser.

bool ACParser::readEndDataV3 | ( |  | ) |

protected

read the end file data zones

Referenced by createZones().

bool ACParser::readHFProperties | ( | MWAWEntry const & | entry | ) |

protected

read the Header/Footer property (QHDR block)

Referenced by readRSRCZones().

bool ACParser::readLabel | ( | MWAWEntry const & | entry | ) |

protected

read the label type

Referenced by readRSRCZones().

bool ACParser::readOption | ( | MWAWEntry const & | entry | ) |

protected

read the QOPT resource block (small print change )

Referenced by readRSRCZones().

bool ACParser::readPrintInfo | ( | MWAWEntry const & | entry | ) |

protected

read a PrintInfo block ( PSET resource block )

Referenced by readRSRCZones().

bool ACParser::readRSRCZones | ( |  | ) |

protected

read the resource fork zone

Referenced by createZones().

bool ACParser::readWindowPos | ( | MWAWEntry const & | entry | ) |

protected

read the window position ( WSIZ resource block )

Referenced by readRSRCZones().

libmwaw::DebugFile & ACParser::rsrcAscii | ( |  | ) |

protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

MWAWInputStreamPtr ACParser::rsrcInput | ( |  | ) |

protected

return the input input

Referenced by readHFProperties(), readLabel(), readOption(), readPrintInfo(), and readWindowPos().

void ACParser::sendHeaderFooter | ( |  | ) |

protected

sends the header/footer data

## Friends And Related Function Documentation

friend class ACParserInternal::SubDocument

friend

friend class ACText

friend

Referenced by init().

## Member Data Documentation

shared_ptr<ACParserInternal::State> ACParser::m_state

protected

the state

Referenced by checkHeader(), createDocument(), getMainList(), getPageLeftTop(), init(), newPage(), readEndDataV3(), readHFProperties(), readLabel(), readRSRCZones(), and sendHeaderFooter().

shared_ptr<ACText> ACParser::m_textParser

protected

the text parser

Referenced by createDocument(), createZones(), init(), and parse().

The documentation for this class was generated from the following files:

- ACParser.hxx
- ACParser.cxx